# Get-RASTunnelingPolicy.md

## NAME

Get-RASTunnelingPolicy

## SYNOPSIS

Retrieves the tunneling policy.

## SYNTAX

**Get-RASTunnelingPolicy** \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASTunnelingPolicy** \[\[-[IP](#ip-string)] *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the tunneling policy.

## PARAMETERS

## SiteId (uint)

The ID of the Site from which to retrieve the tunneling policy information.

If the parameter is omitted, the Licensing Server Site ID will be used.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## IP (string)

The gateway IP of a tunneling policy from which to retrieve the information.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a tunneling policy from which to retrieve the information.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[TunnelingPolicy](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/tunnelingpolicy)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASTunnelingPolicy

Retrieves the list of tunneling policies.\
\*\*---------- EXAMPLE 2 ----------

Get-RASTunnelingPolicy -IP "1.2.3.4"

Retrieves the tunneling policy with IP 1.2.3.4.\
\*\*---------- EXAMPLE 3 ----------

Get-RASTunnelingPolicy -Id 1

Retrieves the tunneling policy with Id 1.

## RELATED LINKS

* New-RASTunnengPolicy
* [Set-RASTunnelingPolicy](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastunnelingpolicy)
* [Remove-RASTunnelingPolicy](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastunnelingpolicy)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastunnelingpolicy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
